CONFIG += testcase no_testcase_installs
TARGET = tst_libautopilot-qt

QT += testlib dbus widgets quick

CONFIG += link_pkgconfig debug
PKGCONFIG += xpathselect
QMAKE_CXXFLAGS += -std=c++0x -Wl,--no-undefined
QMAKE_LFLAGS += -Wl,--no-undefined

INCLUDEPATH += ../../driver

SOURCES += \
	tst_main.cpp \
	tst_qtnode.cpp \
	tst_introspection.cpp \
    ../../driver/introspection.cpp \
    ../../driver/rootnode.cpp \
    ../../driver/qtnode.cpp

HEADERS += \
    tst_qtnode.h \
    tst_introspection.h \
    ../../driver/introspection.h \
    ../../driver/rootnode.h \
    ../../driver/qtnode.h
